#
# spec file for package perl-Audio-Scan
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Audio-Scan
Version:        0.93
Release:        1.2
#Upstream:  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
%define cpan_name Audio-Scan
Summary:        Fast C metadata and tag reader for all common audio file formats
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Audio-Scan/
Source0:        http://www.cpan.org/authors/id/A/AG/AGRUNDMA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Warn)
Requires:       perl(Test::Warn)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
# MANUAL END

%description
Audio::Scan is a C-based scanner for audio file metadata and tag
information. It currently supports MP3, MP4, Ogg Vorbis, FLAC, ASF, WAV,
AIFF, Musepack, Monkey's Audio, and WavPack.

See below for specific details about each file format.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYING README README.win32

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.93
  see /usr/share/doc/packages/perl-Audio-Scan/Changes
  Note: Bug numbers refer to bugs at http://bugs.slimdevices.com
  0.93    2011-09-14
  - ASF: Support seeking in a file without an ASF_Index object.
  - Don't use MAX_PATH because this limits path names to only 260 chars on Win32.
  0.92    2011-09-09
  - Added $info->{jenkins_hash} which is a 32-bit hash value of the
    filename + mtime + file size.
  - MP4: Get correct HE-AAC samplerate values from esds.
  - ADTS AAC: Add support for .adts file extension.
  0.91    2011-09-06
  - MP3, MP4, WMA, WAV, AIFF, ADTS AAC: Added DLNA audio profile detection as
    $info->{dlna_profile}.
  0.90    2011-08-03
  - ID3: Bug 17392, fixed APIC offset calculation for non-MP3 files such as AIFF
    and WAV where the tag does not live at the front of the file.
  0.89    2011-08-03
  - APE: Bug 15895, better handling if we have a broken APE tag and run out of
    tag data. (Adrian Smith)
  - WMA: Bug 17355, fixed WM/Picture offset calculation when artwork is stored in the
    Header Extension/Metadata Library block.
  - WMA: Added output warning when trying to seek in a file without ASF_Index.
  - Switched aac.t to Test::Warn instead of manual STDERR redirection.
  0.88    2011-07-20
  - ADTS AAC: Check first 2-3 frames to avoid false syncs.
  - OSX: Xcode 4 doesn't include the 10.5 SDK, so check for this before using it.
  - Win32: Display better error messages when unable to read from files.
  - MP3, AAC, MPC: Bug 17173: Cleaned up several places where invalid memory reads could occur.
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.93
  see /usr/share/doc/packages/perl-Audio-Scan/Changes
  Note: Bug numbers refer to bugs at http://bugs.slimdevices.com
  0.93    2011-09-14
  - ASF: Support seeking in a file without an ASF_Index object.
  - Don't use MAX_PATH because this limits path names to only 260 chars on Win32.
  0.92    2011-09-09
  - Added $info->{jenkins_hash} which is a 32-bit hash value of the
    filename + mtime + file size.
  - MP4: Get correct HE-AAC samplerate values from esds.
  - ADTS AAC: Add support for .adts file extension.
  0.91    2011-09-06
  - MP3, MP4, WMA, WAV, AIFF, ADTS AAC: Added DLNA audio profile detection as
    $info->{dlna_profile}.
  0.90    2011-08-03
  - ID3: Bug 17392, fixed APIC offset calculation for non-MP3 files such as AIFF
    and WAV where the tag does not live at the front of the file.
  0.89    2011-08-03
  - APE: Bug 15895, better handling if we have a broken APE tag and run out of
    tag data. (Adrian Smith)
  - WMA: Bug 17355, fixed WM/Picture offset calculation when artwork is stored in the
    Header Extension/Metadata Library block.
  - WMA: Added output warning when trying to seek in a file without ASF_Index.
  - Switched aac.t to Test::Warn instead of manual STDERR redirection.
  0.88    2011-07-20
  - ADTS AAC: Check first 2-3 frames to avoid false syncs.
  - OSX: Xcode 4 doesn't include the 10.5 SDK, so check for this before using it.
  - Win32: Display better error messages when unable to read from files.
  - MP3, AAC, MPC: Bug 17173: Cleaned up several places where invalid memory reads could occur.
* Mon Mar 21 2011 pascal.bleser@opensuse.org
- update to 0.87:
  * AAC: bug 16874: fixed infinite loop that could occur when reading a
    truncated ADTS stream
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (0.86)
